Social forum

 
 
Picture of Marisa Ródenas
Plugin block_dedication defective
by Marisa Ródenas - Thursday, 24 May 2012, 6:25 PM
 
Hello, I installed Moodle 2.2 and Autoview when installed gives methe following error:

Sorry, the plugin "block_dedication" is defective or not up to date: Can not continue. 
Debug info: Plugin is Not compatible with Moodle 2.x or later.
Stack trace:
line 631 of / lib / upgradelib.php: Thrown plugin_defective_exception
line 273 of / lib / upgradelib.php: call to upgrade_plugins_blocks ()
line 1437 of / lib / upgradelib.php: call to upgrade_plugins ()
line 269 of / admin / index.php: call to upgrade_noncore ()

Can you help? thank you very much
Picture of Tim Williams
Re: Plugin block_dedication defective
by Tim Williams - Friday, 25 May 2012, 12:36 PM
 
That looks like a bug in an unrelated Moodle block. Did you upgrade anything else at the same time? I suggest you contact the authors of the Course dedication block, who you will find here : http://moodle.org/plugins/view.php?plugin=block_dedication

For reference, mod_autoview, block_repo_filemanager and repository_coursefilearea are the AutoView related addons, so if you get an error with any of these, feel free to post again here.
Picture of Marisa Ródenas
Re: Plugin block_dedication defective
by Marisa Ródenas - Monday, 28 May 2012, 7:05 PM
 
Thanks for your reply. I upgraded my Moodle 1.9 with AutoViewModules and I have it running. Now I need to change version to 2.2and this happens to me.
I lowered the block_dedication of http://moodle.org/plugins/view.php?plugin=block_dedication and now I get the error shown in the attachment.
Thank you very much for your help.
Marisa

Picture of Tim Williams
Re: Plugin block_dedication defective
by Tim Williams - Sunday, 3 June 2012, 9:02 PM
 
You'll find these two addons on the download page for the Moodle 2.x version of Autoview, you need to install them to get AutoView to work with Moodle 2.x.